------------------------------------------------------------------
--                                                              --
--  File:  CREATE_DATABASE.SQL                                  --
--         Microsoft TPC-E Benchmark Kit              --
--         Copyright Microsoft, 2008               --
--                                                              --
------------------------------------------------------------------

USE master
GO

--  create main database files

CREATE DATABASE tpce
ON PRIMARY
(	NAME		= MSSQL_tpce_root,
	FILENAME	= 'C:\MSSQL_tpce_root.mdf',
	SIZE		= 8MB,
	FILEGROWTH	= 10),
FILEGROUP	broker_fg
(	NAME		= Broker1,
	FILENAME	= 'C:\A\A\Broker_1.ndf',
	SIZE		= 109382MB,
	FILEGROWTH	= 10),
(	NAME		= Broker2,
	FILENAME	= 'C:\A\B\Broker_2.ndf',
	SIZE		= 109382MB,
	FILEGROWTH	= 10),
(	NAME		= Broker3,
	FILENAME	= 'C:\A\C\Broker_3.ndf',
	SIZE		= 109382MB,
	FILEGROWTH	= 10),
(	NAME		= Broker4,
	FILENAME	= 'C:\A\D\Broker_4.ndf',
	SIZE		= 109382MB,
	FILEGROWTH	= 10),
(	NAME		= Broker5,
	FILENAME	= 'C:\A\E\Broker_5.ndf',
	SIZE		= 109382MB,
	FILEGROWTH	= 10),
(	NAME		= Broker6,
	FILENAME	= 'C:\A\F\Broker_6.ndf',
	SIZE		= 109382MB,
	FILEGROWTH	= 10),
(	NAME		= Broker7,
	FILENAME	= 'C:\A\G\Broker_7.ndf',
	SIZE		= 109382MB,
	FILEGROWTH	= 10),
(	NAME		= Broker8,
	FILENAME	= 'C:\A\H\Broker_8.ndf',
	SIZE		= 109382MB,
	FILEGROWTH	= 10),
(	NAME		= Broker9,
	FILENAME	= 'C:\A\I\Broker_9.ndf',
	SIZE		= 109382MB,
	FILEGROWTH	= 10),
(	NAME		= Broker10,
	FILENAME	= 'C:\A\J\Broker_10.ndf',
	SIZE		= 109382MB,
	FILEGROWTH	= 10),
(	NAME		= Broker11,
	FILENAME	= 'C:\A\K\Broker_11.ndf',
	SIZE		= 109382MB,
	FILEGROWTH	= 10),
(	NAME		= Broker12,
	FILENAME	= 'C:\A\L\Broker_12.ndf',
	SIZE		= 109382MB,
	FILEGROWTH	= 10),
(	NAME		= Broker13,
	FILENAME	= 'C:\A\M\Broker_13.ndf',
	SIZE		= 109382MB,
	FILEGROWTH	= 10),
(	NAME		= Broker14,
	FILENAME	= 'C:\A\N\Broker_14.ndf',
	SIZE		= 109382MB,
	FILEGROWTH	= 10),
(	NAME		= Broker15,
	FILENAME	= 'C:\A\O\Broker_15.ndf',
	SIZE		= 109382MB,
	FILEGROWTH	= 10),
(	NAME		= Broker16,
	FILENAME	= 'C:\A\P\Broker_16.ndf',
	SIZE		= 109382MB,
	FILEGROWTH	= 10),
(	NAME		= Broker17,
	FILENAME	= 'C:\A\Q\Broker_17.ndf',
	SIZE		= 109382MB,
	FILEGROWTH	= 10),
(	NAME		= Broker18,
	FILENAME	= 'C:\A\R\Broker_18.ndf',
	SIZE		= 109382MB,
	FILEGROWTH	= 10),
(	NAME		= Broker19,
	FILENAME	= 'C:\A\S\Broker_19.ndf',
	SIZE		= 109382MB,
	FILEGROWTH	= 10),
(	NAME		= Broker20,
	FILENAME	= 'C:\A\T\Broker_20.ndf',
	SIZE		= 109382MB,
	FILEGROWTH	= 10),
(	NAME		= Broker21,
	FILENAME	= 'C:\A\U\Broker_21.ndf',
	SIZE		= 109382MB,
	FILEGROWTH	= 10),
(	NAME		= Broker22,
	FILENAME	= 'C:\A\V\Broker_22.ndf',
	SIZE		= 109382MB,
	FILEGROWTH	= 10),
(	NAME		= Broker23,
	FILENAME	= 'C:\A\W\Broker_23.ndf',
	SIZE		= 109382MB,
	FILEGROWTH	= 10),
(	NAME		= Broker24,
	FILENAME	= 'C:\A\X\Broker_24.ndf',
	SIZE		= 109382MB,
	FILEGROWTH	= 10),
FILEGROUP	market_fg
(	NAME		= Market1,
	FILENAME	= 'C:\B\A\Market_1.ndf',
	SIZE		= 4130MB,
	FILEGROWTH	= 10),
(	NAME		= Market2,
	FILENAME	= 'C:\B\B\Market_2.ndf',
	SIZE		= 4130MB,
	FILEGROWTH	= 10),
(	NAME		= Market3,
	FILENAME	= 'C:\B\C\Market_3.ndf',
	SIZE		= 4130MB,
	FILEGROWTH	= 10),
(	NAME		= Market4,
	FILENAME	= 'C:\B\D\Market_4.ndf',
	SIZE		= 4130MB,
	FILEGROWTH	= 10),
(	NAME		= Market5,
	FILENAME	= 'C:\B\E\Market_5.ndf',
	SIZE		= 4130MB,
	FILEGROWTH	= 10),
(	NAME		= Market6,
	FILENAME	= 'C:\B\F\Market_6.ndf',
	SIZE		= 4130MB,
	FILEGROWTH	= 10),
(	NAME		= Market7,
	FILENAME	= 'C:\B\G\Market_7.ndf',
	SIZE		= 4130MB,
	FILEGROWTH	= 10),
(	NAME		= Market8,
	FILENAME	= 'C:\B\H\Market_8.ndf',
	SIZE		= 4130MB,
	FILEGROWTH	= 10),
(	NAME		= Market9,
	FILENAME	= 'C:\B\I\Market_9.ndf',
	SIZE		= 4130MB,
	FILEGROWTH	= 10),
(	NAME		= Market10,
	FILENAME	= 'C:\B\J\Market_10.ndf',
	SIZE		= 4130MB,
	FILEGROWTH	= 10),
(	NAME		= Market11,
	FILENAME	= 'C:\B\K\Market_11.ndf',
	SIZE		= 4130MB,
	FILEGROWTH	= 10),
(	NAME		= Market12,
	FILENAME	= 'C:\B\L\Market_12.ndf',
	SIZE		= 4130MB,
	FILEGROWTH	= 10),
(	NAME		= Market13,
	FILENAME	= 'C:\B\M\Market_13.ndf',
	SIZE		= 4130MB,
	FILEGROWTH	= 10),
(	NAME		= Market14,
	FILENAME	= 'C:\B\N\Market_14.ndf',
	SIZE		= 4130MB,
	FILEGROWTH	= 10),
(	NAME		= Market15,
	FILENAME	= 'C:\B\O\Market_15.ndf',
	SIZE		= 4130MB,
	FILEGROWTH	= 10),
(	NAME		= Market16,
	FILENAME	= 'C:\B\P\Market_16.ndf',
	SIZE		= 4130MB,
	FILEGROWTH	= 10),
(	NAME		= Market17,
	FILENAME	= 'C:\B\Q\Market_17.ndf',
	SIZE		= 4130MB,
	FILEGROWTH	= 10),
(	NAME		= Market18,
	FILENAME	= 'C:\B\R\Market_18.ndf',
	SIZE		= 4130MB,
	FILEGROWTH	= 10),
(	NAME		= Market19,
	FILENAME	= 'C:\B\S\Market_19.ndf',
	SIZE		= 4130MB,
	FILEGROWTH	= 10),
(	NAME		= Market20,
	FILENAME	= 'C:\B\T\Market_20.ndf',
	SIZE		= 4130MB,
	FILEGROWTH	= 10),
(	NAME		= Market21,
	FILENAME	= 'C:\B\U\Market_21.ndf',
	SIZE		= 4130MB,
	FILEGROWTH	= 10),
(	NAME		= Market22,
	FILENAME	= 'C:\B\V\Market_22.ndf',
	SIZE		= 4130MB,
	FILEGROWTH	= 10),
(	NAME		= Market23,
	FILENAME	= 'C:\B\W\Market_23.ndf',
	SIZE		= 4130MB,
	FILEGROWTH	= 10),
(	NAME		= Market24,
	FILENAME	= 'C:\B\X\Market_24.ndf',
	SIZE		= 4130MB,
	FILEGROWTH	= 10),
FILEGROUP	customer_fg
(	NAME		= Customer1,
	FILENAME	= 'C:\C\A\Customer_1.ndf',
	SIZE		= 21896MB,
	FILEGROWTH	= 10),
(	NAME		= Customer2,
	FILENAME	= 'C:\C\B\Customer_2.ndf',
	SIZE		= 21896MB,
	FILEGROWTH	= 10),
(	NAME		= Customer3,
	FILENAME	= 'C:\C\C\Customer_3.ndf',
	SIZE		= 21896MB,
	FILEGROWTH	= 10),
(	NAME		= Customer4,
	FILENAME	= 'C:\C\D\Customer_4.ndf',
	SIZE		= 21896MB,
	FILEGROWTH	= 10),
(	NAME		= Customer5,
	FILENAME	= 'C:\C\E\Customer_5.ndf',
	SIZE		= 21896MB,
	FILEGROWTH	= 10),
(	NAME		= Customer6,
	FILENAME	= 'C:\C\F\Customer_6.ndf',
	SIZE		= 21896MB,
	FILEGROWTH	= 10),
(	NAME		= Customer7,
	FILENAME	= 'C:\C\G\Customer_7.ndf',
	SIZE		= 21896MB,
	FILEGROWTH	= 10),
(	NAME		= Customer8,
	FILENAME	= 'C:\C\H\Customer_8.ndf',
	SIZE		= 21896MB,
	FILEGROWTH	= 10),
(	NAME		= Customer9,
	FILENAME	= 'C:\C\I\Customer_9.ndf',
	SIZE		= 21896MB,
	FILEGROWTH	= 10),
(	NAME		= Customer10,
	FILENAME	= 'C:\C\J\Customer_10.ndf',
	SIZE		= 21896MB,
	FILEGROWTH	= 10),
(	NAME		= Customer11,
	FILENAME	= 'C:\C\K\Customer_11.ndf',
	SIZE		= 21896MB,
	FILEGROWTH	= 10),
(	NAME		= Customer12,
	FILENAME	= 'C:\C\L\Customer_12.ndf',
	SIZE		= 21896MB,
	FILEGROWTH	= 10),
(	NAME		= Customer13,
	FILENAME	= 'C:\C\M\Customer_13.ndf',
	SIZE		= 21896MB,
	FILEGROWTH	= 10),
(	NAME		= Customer14,
	FILENAME	= 'C:\C\N\Customer_14.ndf',
	SIZE		= 21896MB,
	FILEGROWTH	= 10),
(	NAME		= Customer15,
	FILENAME	= 'C:\C\O\Customer_15.ndf',
	SIZE		= 21896MB,
	FILEGROWTH	= 10),
(	NAME		= Customer16,
	FILENAME	= 'C:\C\P\Customer_16.ndf',
	SIZE		= 21896MB,
	FILEGROWTH	= 10),
(	NAME		= Customer17,
	FILENAME	= 'C:\C\Q\Customer_17.ndf',
	SIZE		= 21896MB,
	FILEGROWTH	= 10),
(	NAME		= Customer18,
	FILENAME	= 'C:\C\R\Customer_18.ndf',
	SIZE		= 21896MB,
	FILEGROWTH	= 10),
(	NAME		= Customer19,
	FILENAME	= 'C:\C\S\Customer_19.ndf',
	SIZE		= 21896MB,
	FILEGROWTH	= 10),
(	NAME		= Customer20,
	FILENAME	= 'C:\C\T\Customer_20.ndf',
	SIZE		= 21896MB,
	FILEGROWTH	= 10),
(	NAME		= Customer21,
	FILENAME	= 'C:\C\U\Customer_21.ndf',
	SIZE		= 21896MB,
	FILEGROWTH	= 10),
(	NAME		= Customer22,
	FILENAME	= 'C:\C\V\Customer_22.ndf',
	SIZE		= 21896MB,
	FILEGROWTH	= 10),
(	NAME		= Customer23,
	FILENAME	= 'C:\C\W\Customer_23.ndf',
	SIZE		= 21896MB,
	FILEGROWTH	= 10),
(	NAME		= Customer24,
	FILENAME	= 'C:\C\X\Customer_24.ndf',
	SIZE		= 21896MB,
	FILEGROWTH	= 10)
LOG ON
(	NAME		= MSSQL_tpce_log,
	FILENAME	= 'E:\TPCE_Log_1.ldf',
	SIZE		= 204000MB,
	FILEGROWTH	= 10)
COLLATE Latin1_General_BIN
GO