------------------------------------------------------------------
--                                                              --
--  File:  Database_Options_2.SQL                               --
--         Microsoft TPC-E Benchmark Kit Ver. 1.5.0-1007        --
--         Copyright Microsoft  2007, 2008                      --
--                                                              --
------------------------------------------------------------------

EXEC sp_dboption tpce,'select into/bulkcopy',false
EXEC sp_dboption tpce,'trunc. log on chkpt.',false
EXEC sp_dboption tpce,'torn page detection',false
EXEC sp_dboption tpce,'Auto Update Statistics',false
GO

ALTER	DATABASE tpce
SET     RECOVERY FULL
GO

ALTER   DATABASE tpce
SET     ALLOW_SNAPSHOT_ISOLATION ON
GO

-- set show advanced options to 1 so we get all the available options
sp_configure    'Show advanced options',1
GO

-- reconfigure the server so the show advanced option will take effect
reconfigure with override
GO

-- set the MAX Degree of Parallelism to 1 for the runtime
sp_configure    'max degree of parallelism',1
GO

-- reconfigure the server so the MAXDOP will take effect
RECONFIGURE WITH OVERRIDE
GO

USE tpce
GO

CHECKPOINT
GO
